# Visualization
TKService
SelectBasics

# SelectBasics_EntityOwner Class Reference

defines an abstract owner of sensitive primitives.
Owners are typically used to establish a connection
between sensitive entities and high-level objects (e.g. presentations).

`#include <SelectBasics_EntityOwner.hxx>`

Inheritance diagram for SelectBasics_EntityOwner:

[legend]

## Public Member Functions

void | Set (const Standard_Integer aPriority)
| sets the selectable priority of the owner
Standard_Integer | Priority () const
virtual Standard_EXPORT Standard_Boolean | HasLocation () const =0
virtual Standard_EXPORT void | SetLocation (const TopLoc_Location &aLoc)=0
virtual Standard_EXPORT void | ResetLocation ()=0
virtual Standard_EXPORT const TopLoc_Location & | Location () const =0
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | SelectBasics_EntityOwner (const Standard_Integer aPriority=0)

## Protected Attributes

Standard_Integer | mypriority

## Constructor & Destructor Documentation

Standard_EXPORT SelectBasics_EntityOwner::SelectBasics_EntityOwner | ( | const Standard_Integer | aPriority = `0` | ) | `[protected]`

## Member Function Documentation

Standard_EXPORT const SelectBasics_EntityOwner::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in AIS_DimensionOwner, MeshVS_MeshEntityOwner, MeshVS_MeshOwner, SelectMgr_EntityOwner, and StdSelect_BRepOwner.

virtual Standard_EXPORT Standard_Boolean SelectBasics_EntityOwner::HasLocation | ( |  | ) | const`[pure virtual]`

| Implemented in SelectMgr_EntityOwner.

virtual Standard_EXPORT const TopLoc_Location& SelectBasics_EntityOwner::Location | ( |  | ) | const`[pure virtual]`

| Implemented in SelectMgr_EntityOwner.

Standard_Integer SelectBasics_EntityOwner::Priority | ( |  | ) | const`[inline]`

virtual Standard_EXPORT void SelectBasics_EntityOwner::ResetLocation | ( |  | ) | `[pure virtual]`

| Implemented in SelectMgr_EntityOwner, and StdSelect_BRepOwner.

void SelectBasics_EntityOwner::Set | ( | const Standard_Integer | aPriority | ) | `[inline]`

virtual Standard_EXPORT void SelectBasics_EntityOwner::SetLocation | ( | const TopLoc_Location & | aLoc | ) | `[pure virtual]`

| Implemented in SelectMgr_EntityOwner, and StdSelect_BRepOwner.

## Field Documentation

Standard_Integer SelectBasics_EntityOwner::mypriority `[protected]`

The documentation for this class was generated from the following files:

- SelectBasics_EntityOwner.hxx
- SelectBasics_EntityOwner.lxx